Bug 738428 - gnome-user-share fails to launch httpd
gnome-user-share fails to launch httpd
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-user-share (Show other bugs)
14
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-14 14:35 EDT by Pierre Ossman
Modified: 2012-08-16 08:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 08:39:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pierre Ossman 2011-09-14 14:35:24 EDT
gnome-user-share doesn't work here at all, and after doing some strace I'm sort-of seeing why. It tries to launch it like so:

[pid 21788] execve("/usr/sbin/httpd", ["/usr/sbin/httpd", "-f", "/usr/share/gnome-user-share/dav_"..., "-C", "Listen -1"], [/* 7 vars */] <unfinished ...>

which results in:

[pid 21788] write(2, "Syntax error on line 1 of -c/-C "..., 44) = 44
[pid 21788] write(2, "Port must be specified\n", 23) = 23

Which makes sense, as -1 is not a legal value (as far as the docs go at least).

No clue as to why it does this.
Comment 1 Pierre Ossman 2011-09-14 14:43:34 EDT
Ok, looked at the code. The -1 is an error code indicating that it failed to find a random port (error checking, guys? ;)).

As to why that fails, strace shows:

socket(PF_INET, SOCK_STREAM, IPPROTO_IP) = 17
setsockopt(17, SOL_SOCKET, SO_REUSEADDR, [1], 4) = 0
bind(17, {sa_family=AF_UNSPEC, sa_data="\0\0\0\0\0\0\0\0\0\0\0\0\0\0"}, 16) = -1 EINVAL (Invalid argument)

I'm guessing teh lack of proper address family is what it gets upset about. The man page even says that this is expected:

"sin_family  is  always set to AF_INET.  This is required; in Linux 2.2 most networking functions return EINVAL when this setting is missing. "

How did this ever work?
Comment 2 Ben Liblit 2011-09-25 13:00:32 EDT
See also <https://bugs.launchpad.net/ubuntu/+source/gnome-user-share/+bug/856732>.  That is this same bug as represented in Ubuntu's bug tracker, and it includes a suggested patch.  (I'd add this link to the "External Trackers" section of this report, but it seems I do not have permission to do so.)
Comment 3 Fedora End Of Life 2012-08-16 08:39:44 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.